import request from '@/utils/request'

// 查询包材出库单列表
export function listOutorder(query) {
	return request({
		url: '/wms/outorder/list',
		method: 'get',
		params: query
	});
}

// 查询包材出库单详细
export function getOutorder(ID) {
	return request({
		url: '/wms/outorder/' + ID,
		method: 'get'
		});
}

// 新增包材出库单
export function addOutorder(data) {
	return request({
		url: '/wms/outorder',
		method: 'post',
		data: data
	});
}

// 修改包材出库单
export function updateOutorder(data) {
	return request({
		url: '/wms/outorder',
		method: 'put',
		data: data
	});
}

// 删除包材出库单
export function delOutorder(ID) {
	return request({
		url: '/wms/outorder/' + ID,
		method: 'delete'
	});
}
